## com.sun.jna.platform.win32
Interface NtDll

All Superinterfaces:
  com.sun.jna.AltCallingConvention, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary, W32API

    public interface NtDll

extends W32API

ntdll.dll Interface.

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.W32API
`W32API.DWORD, W32API.HANDLE, W32API.HANDLEByReference, W32API.HBITMAP, W32API.HDC, W32API.HICON, W32API.HINSTANCE, W32API.HMODULE, W32API.HRESULT, W32API.HRGN, W32API.HWND, W32API.LONG, W32API.LONG_PTR, W32API.LPARAM, W32API.LRESULT, W32API.SIZE_T, W32API.SSIZE_T, W32API.UINT_PTR, W32API.ULONG_PTR, W32API.WORD, W32API.WPARAM`

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static NtDll` `INSTANCE`

Fields inherited from interface com.sun.jna.platform.win32.W32API
`HWND_BROADCAST, INVALID_HANDLE_VALUE`

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Method Summary
`int` `ZwQueryKey(W32API.HANDLE KeyHandle, int KeyInformationClass, com.sun.jna.Structure KeyInformation, int Length, com.sun.jna.ptr.IntByReference ResultLength)` The ZwQueryKey routine provides information about the class of a registry key, and the number and sizes of its subkeys.

Field Detail

### INSTANCE

    static final NtDll INSTANCE

Method Detail

### ZwQueryKey

    int ZwQueryKey(W32API.HANDLE KeyHandle,
                   int KeyInformationClass,
                   com.sun.jna.Structure KeyInformation,
                   int Length,
                   com.sun.jna.ptr.IntByReference ResultLength)

  The ZwQueryKey routine provides information about the class of a registry key, and the number and sizes of its subkeys.

  Parameters:
    `KeyHandle` - Handle to the registry key to obtain information about. This handle is created by a successful call to ZwCreateKey or ZwOpenKey.
    `KeyInformationClass` - Specifies a KEY_INFORMATION_CLASS value that determines the type of information returned in the KeyInformation buffer.
    `KeyInformation` - Pointer to a caller-allocated buffer that receives the requested information.
    `Length` - Specifies the size, in bytes, of the KeyInformation buffer.
    `ResultLength` - Pointer to a variable that receives the size, in bytes, of the requested key information. If ZwQueryKey returns STATUS_SUCCESS, the variable contains the amount of data returned. If ZwQueryKey returns STATUS_BUFFER_OVERFLOW or STATUS_BUFFER_TOO_SMALL, you can use the value of the variable to determine the required buffer size.
  Returns:
    ZwQueryKey returns STATUS_SUCCESS on success, or the appropriate error code on failure.